package config_manager

/* global config 예제
central:
  address: "http://localhost:9090"
  port: 443
log_Path: "./bin/log.xml"
paths:
  rootFolder : "/home/cm2/"
  configFolder : "config/"
  binaryFolder : "container/"
  pidFolder : "pids/"
  scriptFile : "start"
intervalSecond: 10
*/

type GlobalConfig struct {
	Central struct {
		Address string `yaml:"address"`
		Port    int    `yaml:"port"`
	}
	LogPath string `yaml:"logPath"`
	Paths   struct {
		RootFolder   string `yaml:"rootFolder"`
		ConfigFolder string `yaml:"configFolder"`
		BinaryFolder string `yaml:"binaryFolder"`
		PidFolder    string `yaml:"pidFolder"`
		ScriptFile   string `yaml:"scriptFile"`
	}
	IntervalSecond int `yaml:"intervalSecond"`
}


